Bug 1269010 - [abrt] plasma-systemsettings: QtPrivate::RefCount::ref(): systemsettings5 killed by SIGSEGV
[abrt] plasma-systemsettings: QtPrivate::RefCount::ref(): systemsettings5 kil...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: plasma-systemsettings (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:a5599a598581e71f31a682a9134...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-05 19:44 EDT by George R. Goffe
Modified: 2016-12-20 09:52 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 09:52:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (81.45 KB, text/plain)
2015-10-05 19:44 EDT, George R. Goffe
no flags Details
File: cgroup (333 bytes, text/plain)
2015-10-05 19:44 EDT, George R. Goffe
no flags Details
File: core_backtrace (9.11 KB, text/plain)
2015-10-05 19:44 EDT, George R. Goffe
no flags Details
File: dso_list (19.96 KB, text/plain)
2015-10-05 19:44 EDT, George R. Goffe
no flags Details
File: environ (4.10 KB, text/plain)
2015-10-05 19:44 EDT, George R. Goffe
no flags Details
File: exploitable (82 bytes, text/plain)
2015-10-05 19:44 EDT, George R. Goffe
no flags Details
File: limits (1.29 KB, text/plain)
2015-10-05 19:44 EDT, George R. Goffe
no flags Details
File: maps (117.17 KB, text/plain)
2015-10-05 19:44 EDT, George R. Goffe
no flags Details
File: mountinfo (3.33 KB, text/plain)
2015-10-05 19:44 EDT, George R. Goffe
no flags Details
File: namespaces (85 bytes, text/plain)
2015-10-05 19:44 EDT, George R. Goffe
no flags Details
File: open_fds (1.20 KB, text/plain)
2015-10-05 19:44 EDT, George R. Goffe
no flags Details
File: proc_pid_status (981 bytes, text/plain)
2015-10-05 19:44 EDT, George R. Goffe
no flags Details
File: var_log_messages (315 bytes, text/plain)
2015-10-05 19:44 EDT, George R. Goffe
no flags Details

  None (edit)
Description George R. Goffe 2015-10-05 19:44:16 EDT
Description of problem:
I was looking for the config item that would let me allow widgets to rais to "front" after an interval. I had poked one of these items and POOF, SEGFAULT.

Version-Release number of selected component:
plasma-systemsettings-5.4.2-1.fc23

Additional info:
reporter:       libreport-2.6.2
backtrace_rating: 4
cmdline:        /bin/systemsettings5
crash_function: QtPrivate::RefCount::ref
executable:     /usr/bin/systemsettings5
global_pid:     2335
kernel:         4.2.2-300.fc23.x86_64
runlevel:       N 3
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 QtPrivate::RefCount::ref at /usr/include/qt5/QtCore/qrefcount.h:54
 #1 QV4::Heap::String::toQString at /usr/src/debug/qtdeclarative-opensource-src-5.5.0/src/qml/jsruntime/qv4string_p.h:81
 #2 QV4::String::toQString at /usr/src/debug/qtdeclarative-opensource-src-5.5.0/src/qml/jsruntime/qv4string_p.h:141
 #3 QV4::Heap::StringObject::StringObject at /usr/src/debug/qtdeclarative-opensource-src-5.5.0/src/qml/jsruntime/qv4stringobject.cpp:91
 #4 QV4::ExecutionEngine::newStringObject at /usr/src/debug/qtdeclarative-opensource-src-5.5.0/src/qml/jsruntime/qv4mm_p.h:117
 #5 QV4::Runtime::getProperty at /usr/src/debug/qtdeclarative-opensource-src-5.5.0/src/qml/jsruntime/qv4runtime.cpp:679
 #6 ??
 #7 ??
 #8 ??
 #9 ??
Comment 1 George R. Goffe 2015-10-05 19:44:20 EDT
Created attachment 1080087 [details]
File: backtrace
Comment 2 George R. Goffe 2015-10-05 19:44:21 EDT
Created attachment 1080088 [details]
File: cgroup
Comment 3 George R. Goffe 2015-10-05 19:44:22 EDT
Created attachment 1080089 [details]
File: core_backtrace
Comment 4 George R. Goffe 2015-10-05 19:44:23 EDT
Created attachment 1080090 [details]
File: dso_list
Comment 5 George R. Goffe 2015-10-05 19:44:24 EDT
Created attachment 1080091 [details]
File: environ
Comment 6 George R. Goffe 2015-10-05 19:44:25 EDT
Created attachment 1080092 [details]
File: exploitable
Comment 7 George R. Goffe 2015-10-05 19:44:26 EDT
Created attachment 1080093 [details]
File: limits
Comment 8 George R. Goffe 2015-10-05 19:44:27 EDT
Created attachment 1080094 [details]
File: maps
Comment 9 George R. Goffe 2015-10-05 19:44:28 EDT
Created attachment 1080095 [details]
File: mountinfo
Comment 10 George R. Goffe 2015-10-05 19:44:29 EDT
Created attachment 1080096 [details]
File: namespaces
Comment 11 George R. Goffe 2015-10-05 19:44:30 EDT
Created attachment 1080097 [details]
File: open_fds
Comment 12 George R. Goffe 2015-10-05 19:44:31 EDT
Created attachment 1080098 [details]
File: proc_pid_status
Comment 13 George R. Goffe 2015-10-05 19:44:32 EDT
Created attachment 1080099 [details]
File: var_log_messages
Comment 14 Adam Williamson 2015-10-28 18:42:54 EDT
Another user experienced a similar problem:

In System Settings, opened various things and played around, then opened Desktop Behaviour and did some stuff, went back from it, and went into it again.

reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /bin/systemsettings5
crash_function: QtPrivate::RefCount::ref
executable:     /usr/bin/systemsettings5
global_pid:     2927
kernel:         4.2.3-300.fc23.i686
package:        plasma-systemsettings-5.4.2-1.fc23
reason:         systemsettings5 killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 15 Fedora End Of Life 2016-11-24 07:42:04 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 16 George R. Goffe 2016-11-24 13:27:20 EST
I haven't seen this problem. I'm now using Fedora 25... I'll write a new bug report IF I see this problem again.

Thanks,

George...
Comment 17 Fedora End Of Life 2016-12-20 09:52:17 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.